<div class="has-background-dark has-text-centered">
    {{ #if (some grade) }}
        {{ #if (A grade) }}
            <div class="has-background-primary">A</div>
        {{ /if }}

        {{ #if (B grade) }}
            <div class="has-background-warning">B</div>
        {{ /if }}

        {{ #if (C grade) }}
            <div class="has-background-warning">C</div>
        {{ /if }}

        {{ #if (D grade) }}
            <div class="has-background-danger">D</div>
        {{ /if }}

        {{ #if (F grade) }}
            <div class="has-background-danger">F</div>
        {{ /if }}
    {{ else }}
        <div class="has-text-white">N/A</div>
    {{ /if }}
</div>